<%-- Copyright (c) 2003 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="default.inc"%>
<%@page import="com.sas.solutions.spm.webapp.common.util.SpmUtil"%>
<%@page import="com.sas.solutions.spm.webapp.common.util.SpmWebKey"%>
<%@page import="java.lang.Boolean"%>
<%@page import="com.sas.solutions.spm.webapp.projects.forms.ProjectPropertiesForm"%>
<%@page import="javax.swing.tree.TreeModel"%>
<%@taglib uri="http://www.sas.com/taglib/sas-form" prefix="sas-f"%>
<%@taglib uri="http://www.sas.com/taglib/sas-dataviewers" prefix="sas-dv"%>
<%@taglib uri="http://www.sas.com/taglib/sas-util" prefix="sas-u"%>

<jsp:useBean id="ap" class="com.sas.actionprovider.HttpActionProvider" scope="session" />

<sas-ui:Page key="prjprop"/>
<%
  	ProjectPropertiesForm wizard = (ProjectPropertiesForm)session.getAttribute(SpmWebKey.SPM_WIZARD_FORM);
	String spmpid =wizard.getID();

	TreeModel dModel =  wizard.getTimeDimensionModel();
  	request.setAttribute(SpmWebKey.SPM_NEWPROJECT_DIMENSIONTYPE_MODEL, dModel);

	boolean hasrole=((Boolean)request.getAttribute(SpmWebKey.SPM_SECURITY_ROLE)).booleanValue();
	if(wizard.getUpdatePermission() == false)
		hasrole = false;

	String spmguid = "SPMProject_" + spmpid;

	boolean generalExpand = wizard.isGenExpand();
   	boolean hieExpand = wizard.isHieExpand();
   	boolean timeExpand = wizard.isTimeExpand();
   	boolean imageExpand = wizard.isImageExpand();
   	boolean securityExpand = wizard.isSecurityExpand();

%>

<script language="javascript">

	   function doAction(frm,cmd)
       {
	 		document.forms[frm].command.value=cmd;

	 		if(cmd == "apply"){
	 			saveSectionViewExpansionState();
	 			if(<%=wizard.isOneDimHie()%> == false)
	 			{
			    	var folderSelections = treeView.selections;

		         	if( folderSelections.length > 0 ) {

		            	var selectedNode = folderSelections[0];

		    	        document.ProjectPropertyForm.treeselect.value=selectedNode.value;
		       	        document.ProjectPropertyForm.treeselectid.value=selectedNode.nodeId;
		  	    	    document.ProjectPropertyForm.treeselectlabel.value=selectedNode.text;

			        }
		    	}

	 			document.forms[frm].action = "ChangeProjectProperties.do";
    			document.forms[frm].submit();
	 		}

    		if (cmd == "cancel")
    		{
    			document.forms[frm].action = "ChangeProjectPropertiesCancel.do";
    			document.forms[frm].submit();
    		}

			if(cmd == "locate")
			{
				saveSectionViewExpansionState();
				if(<%=wizard.isOneDimHie()%> == false){
			    	var folderSelections = treeView.selections;

		         	if( folderSelections.length > 0 ) {

		            	var selectedNode = folderSelections[0];

		    	        document.ProjectPropertyForm.treeselect.value=selectedNode.value;
		       	        document.ProjectPropertyForm.treeselectid.value=selectedNode.nodeId;
		  	    	    document.ProjectPropertyForm.treeselectlabel.value=selectedNode.text;

			        }
		    	}

				document.forms[0].action = "PrepareProjectOwnerDialog.do";
				document.forms[0].submit();
		    }
		    if(cmd == "ok")
		    {

		    	if(<%=wizard.isOneDimHie()%> == false){
			    	var folderSelections = treeView.selections;

		         	if( folderSelections.length > 0 ) {

		            	var selectedNode = folderSelections[0];

		    	        document.ProjectPropertyForm.treeselect.value=selectedNode.value;
		       	        document.ProjectPropertyForm.treeselectid.value=selectedNode.nodeId;
		  	    	    document.ProjectPropertyForm.treeselectlabel.value=selectedNode.text;

			        }
		    	}
		    	document.forms[frm].action = "ChangeProjectProperties.do";
    			document.forms[frm].submit();
		    }
       }


       function saveSectionViewExpansionState()
      {
		  	generalBit = "0";
		  	hieBit = "0";
		  	timeBit = "0";
		  	imageBit = "0";
		  	securityBit = "0";
		    generalDiv = document.getElementById("sas_ui_section_manageProjectsProperties_generalSettings_txt");
			if(generalDiv.style.display == "block")
			{
				generalBit = "1";
			}

			hieDiv = document.getElementById("sas_ui_section_manageProjectsProperties_hierarchy_txt");
			if(hieDiv.style.display == "block")
			{
				hieBit = "1";
			}

	        timeDiv = document.getElementById("sas_ui_section_manageProjectsProperties_timePerRang_txt");
			if(timeDiv.style.display == "block")
			{
			    timeBit = "1";
			}
	        imageDiv = document.getElementById("sas_ui_section_manageProjectsProperties_projImagLoc_txt");
			if(imageDiv.style.display == "block")
			{
			    imageBit = "1";
			}
			securityDiv = document.getElementById("sas_ui_section_security_permissions_txt");
			if(securityDiv.style.display == "block")
			{
			    securityBit = "1";
			}


	        expansionString = generalBit + hieBit + timeBit + imageBit + securityBit;

			// save expansion string into SPM_ELPROPS_EXPAND_STATE
			expandHidden = document.getElementById("<%=SpmWebKey.SPM_PROJECT_EXPAND_STATE%>");
			expandHidden.value = expansionString;


	  }

   </script>
 <body onLoad="saveSectionViewExpansionState();">


<table  width="100%" cellspacing="0" cellpadding="0" border="0" class="dataEntryBG">
<form name="ProjectPropertyForm" method=POST onSubmit="return false">
<input name="objectId" value="<%=spmguid%>" type=hidden>
<input type="hidden" name="adduser" value="adduser">
<input type="hidden" name="includeUser" value="on">
<input type="hidden" name="removeduser" value="">
<input type="hidden" name="treeselect" value="">
<input type="hidden" name="treeselectid" value="">
<input type="hidden" name="treeselectlabel" value="">
<sas-f:Hidden name="<%=SpmWebKey.SPM_PROJECT_EXPAND_STATE%>" text=""/>

	<tr><td><table></table></td></tr>

				<tr>
				<td></td>
	    <td class="toppadding leftpadding rightpadding bottompadding"><sas-ui:Message styleClass="solutionsSmallItem"/><sas-ui:Help />
	    <table width="100%" class="dataEntryBG">
	    				<tr>
					<td>
					<sas-ui:SectionView displayed="<%=generalExpand%>" imgHide="minus" imgShow="plus" name="manageProjectsProperties.generalSettings.txt">
						<table cellspacing="0" width="100%" class="dataEntryBG"><tr><td>
						<table cellspacing="0">
							<td width="8px"><table width="8px"></table></td>
							<tr height="8px"><td><table></table></td></tr>
							<tr>
								<td width="19px"></td>
								<td align="left">
									<table  width="100%" class="dataEntryBG">
										<tr>
											<td nowrap colspan="1">
												<sas-ui:Text key="manageProjectsProperties.generalSettings.text.txt"/>
											</td>
										</tr>
										<tr height="12px"><td><table></table></td></tr>


										<tr>
											<td nowrap width="100%">
												<sas-ui:Text key="projectwizard.prorepos.txt"/>
											</td>
											<td align="left">
												<%=wizard.getReposName()%>
											</td>
											<td width="100%"></td>
										</tr>


										<tr>
											<td nowrap width="100%">
												<sas-ui:Prompt property="manageProjects.projName.txt" required="true"/>
											</td>
											<td align="left">
												<sas-f:TextEntry name="name" id="name" text="<%=wizard.getChosenName()%>" maximumLength="60" size="55"/>
											</td>
											<td width="100%"></td>
										</tr>
										<tr>
											<td nowrap width="100%" valign="top">
												<sas-ui:Text key="projectwizard.projdesp.prompt.txt"/>
											</td>
											<td align="left">
												<sas-f:TextArea id="desc" customAttributes='class="CommonLabel"' name="desc" rows="5" columns="57" wrap="true" text="<%=wizard.getDesc()%>"/>
											</td>
											<td width="100%"></td>


										</tr>
										<%if(wizard.getFolder() != null){%>
										<tr>
											<td nowrap>
												<sas-ui:Text key="manageProjects.location.txt"/>
											</td>
											<td>
												<%=wizard.getFolder()%>
											</td>
											<td width="100%"></td>
										</tr>
										<%}%>
										<tr>
											<td colspan="1" nowrap>
											    <sas-ui:Text key="manageProjects.associatedTemplate.txt"/>
											</td>
											<td nowrap>
												<%=wizard.getTemplate()%>
											</td>
										</tr>
										<tr>
											<td colspan="1" nowrap>
												<sas-ui:Text key="manageProjects.projId.txt"/>
											</td>
											<td align="left" nowrap>
												<%=wizard.getID()%>
											</td>
											<td width="100%"></td>
										</tr>
										<tr>
											<td nowrap>
												<sas-ui:Text key="manageProjects.owner.txt"/>
											</td>
											<td nowrap>
												<sas-f:TextEntry name="ownerName" id="_ownerName" text="<%=wizard.getOwnerName()%>" enabled="false" size="55"/>
													&nbsp;
												<sas-ui:Button styleClass="buttonForControls" useHidden="false" actionKey="ProjectLocate"  />
											</td>
											<td width="100%"></td>
										</tr>
										<tr>
											<td nowrap>
												<sas-ui:Text key="manageProjects.ownerEmail.txt"/>
											</td>
											<td>
												<%=wizard.getOwnerEmail()%>
											</td>
											<td width="100%"></td>
										</tr>
										<tr height="8px"><td><table></table></td></tr>
									</table>
								</td>
							</tr>
						</table>
						</td></tr></table>
					</sas-ui:SectionView>
				</td></tr>
				<tr>
        <td class="toppadding leftpadding rightpadding bottompadding">
	          <tr>
			<td>
				<sas-ui:SectionView displayed="<%=hieExpand%>" imgHide="minus" imgShow="plus" name="manageProjectsProperties.hierarchy.txt">
						<table cellspacing="0" width="100%" class="dataEntryBG"><tr><td>
						<table cellspacing="0">
							<td width="8px"><table width="8px"></table></td>
							<tr height="8px"><td><table></table></td></tr>
							<tr>
								<td width="19px"></td>
								<td align="left">
									<table  width="100%" class="dataEntryBG">
										<tr>
											<td nowrap width="100%">
												<sas-ui:Text key="manageProjectsProperties.hierarchy.instructions.txt"/>
											</td>
										</tr>
										<tr height="12px"><td><table></table></td></tr>
										<tr>
											<td colspan="1" nowrap >
												<sas-ui:Text key="manageProjectsProperties.hierarchy.text.txt"/>

											    <%if(wizard.getHierarchy()){%>
												<%=(String)request.getAttribute(SpmWebKey.SPM_PROJECT_ORG_NAME)%>
											    <%}
											    else{%>
												<sas-ui:Text key="manageProjects.manual.txt"/><br>
											    <%}%>
											</td>
											<td colspan="4"></td>
										</tr>
										<tr>
											<td nowrap>
												&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
												&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
												<%if(wizard.getHierarchy() && wizard.getRemoveLink()){%>
													<input type="checkbox" id="removeLink" name="removeLink" CHECKED/><sas-ui:Text key="manageProjectsProperties.hierarchy.removeLink.txt"/><br>
												<%}
												else if(wizard.getHierarchy()){%>
													<input type="checkbox" id="removeLink" name="removeLink" /><sas-ui:Text key="manageProjectsProperties.hierarchy.removeLink.txt"/><br>
												<%}
												else{%>
													<input type="checkbox" id="removeLink" name="removeLink" disabled /><sas-ui:Text key="manageProjectsProperties.hierarchy.removeLink.txt"/><br>
												<%}%>
											</td>
											<td width="100%"></td>
										</tr>
										<tr>
											<td nowrap>
												&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
												&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
												<%if(wizard.getHierarchy() && wizard.getSync()){%>
													<input type="checkbox" id="setSync" name="setSync" CHECKED/><sas-ui:Text key="manageProjectsProperties.hierarchy.setSync.txt"/><br>
												<%}
												else if(wizard.getHierarchy()){%>
													<input type="checkbox" id="setSync" name="setSync" /><sas-ui:Text key="manageProjectsProperties.hierarchy.setSync.txt"/><br>
												<%}
												else{%>
													<input type="checkbox" id="setSync" name="setSync" disabled /><sas-ui:Text key="manageProjectsProperties.hierarchy.setSync.txt"/><br>
												<%}%>
											</td>
											<td width="100%"></td>
										</tr>										
										<tr height="8px"><td><table></table></td></tr>
									</table>
								</td>
							</tr>
						</table>
						</td></tr></table>
					</sas-ui:SectionView>
				</td></tr>
				<tr>
         <td class="toppadding leftpadding rightpadding bottompadding">
	           <tr>
			<td>
				<sas-ui:SectionView displayed="<%=timeExpand%>" imgHide="minus" imgShow="plus" name="manageProjectsProperties.timePerRang.txt">
						<table cellspacing="0" width="100%" class="dataEntryBG"><tr><td>
						<table cellspacing="0">
							<td width="8px"><table width="8px"></table></td>
								<tr height="8px"><td><table></table></td></tr>
								<tr>
									<td width="19px"></td>
									<td align="left">
										<table  width="100%" class="dataEntryBG">
											<tr>
												<td nowrap colspan="1">
													<sas-ui:Text key="manageProjectsProperties.timePerRang.text.txt"/>
												</td>
											</tr>
											<tr height="12px"><td><table></table></td></tr>
					<%						if(wizard.isOneDimHie() == false){%>
											<tr>
												<td>
													<div class="spm_dualPane">
														<sas:TreeView id="treeView"
														  name="treeView"
														  instantiate="true"
														  model="<%=SpmWebKey.SPM_NEWPROJECT_DIMENSIONTYPE_MODEL%>"
														  nodeLoading="FULL"
														  selectionMode="SINGLE_SELECTION"
														  selectedNode="<%=wizard.getChosenTimeHierarchy()%>"
														  imageLocation="<%=SpmUtil.getImagePath(request,null,true)%>"
														  imageVisible="true"
														  usingURLLinks="true"
														  expansionLevel="2"
														  rootNodeVisible="false"
														  target="_self"/>
													</div>
												</td>
											</tr>

					<%						}else{%>

											<tr>
												<td nowrap>
													<sas-ui:Text key="manageProjects.timeDimension.txt"/>
												</td>
												<td>
													<%=wizard.getDimensionName()%>
												</td nowrap>
											</tr>
											<tr>
												<td nowrap>
													<sas-ui:Text key="manageProjects.timeHierarchy.txt"/>
												</td>
												<td nowrap>
													<%=wizard.getHierarchyName()%>
												</td>
											</tr>

					<%						}%>

											<tr height="8px"><td><table></table></td></tr>
										</table>
									</td>
								</tr>
							</table>
							</td></tr></table>
						</sas-ui:SectionView>
				</td></tr>
				<tr>

          <td class="toppadding leftpadding rightpadding bottompadding">
	            <tr>
			<td>
				<sas-ui:SectionView displayed="<%=imageExpand%>" imgHide="minus" imgShow="plus" name="manageProjectsProperties.projImagLoc.txt">
						<table cellspacing="0" width="100%" class="dataEntryBG"><tr><td>
						<table cellspacing="0">
							<td width="8px"><table width="8px"></table></td>
								<tr height="8px"><td><table></table></td></tr>
								<tr>
									<td width="19px"></td>
									<td align="left">
										<table  width="100%" class="dataEntryBG">
											<tr>
												<td nowrap width="100%">
													<sas-ui:Text key="manageProjectsProperties.projImagLoc.text.txt"/>
												</td>
											</tr>
											<tr height="12px"><td><table></table></td></tr>
											<tr>
												<td nowrap colspan="1">
													<sas-ui:Text key="manageProjects.commonImageLibrary.txt"/>
												</td>
												<td nowrap>
													images/customer
												</td>
											</tr>
											<tr>
												<td nowrap colspan="1">
													<sas-ui:Text key="manageProjects.projectImageLibrary.txt"/>
												</td>
												<td nowrap>
													images/customer/<%=wizard.getID()%>
												</td>
												<td>
												</td>
											</tr>
											<tr height="8px"><td><table></table></td></tr>
										</table>
									</td>
								</tr>
						</table>
						</td></tr></table>
					</sas-ui:SectionView>
				</td></tr>
				<tr>
         <td class="toppadding leftpadding rightpadding bottompadding">
	           <tr>
			<td>
        			<sas-ui:SectionView displayed="<%=securityExpand%>" imgHide="minus" imgShow="plus" name="security.permissions.txt">
						<table cellspacing="0"  cellpadding="0" width="100%" class="dataEntryBG"><tr><td>
						<table cellspacing="0"  cellpadding="0">
							<td width="8px"><table width="8px"></table></td>
								<tr height="8px"><td><table></table></td></tr>
								<tr>
									<td width="19px"></td>
									<td align="left">
										<table  width="100%" class="dataEntryBG"  cellpadding="0" border="0"  cellspacing="0">
											<tr>
												<td nowrap width="100%">
													<sas-ui:Text key="security.text.txt"/>
												</td>
											</tr>
											<tr height="12px"><td><table></table></td></tr>
											<tr><td colspan="4">
												<table  width="100%"  cellpadding="0"   cellspacing="0" border="0" >
													<tr><td>
													<sas-dv:TableView id="tableView"
                                        model="<%=SpmWebKey.SPM_SECURITY_MODEL_VALUE%>"
                                        cellPadding="1"
                                        cellSpacing="0"
                                        borderWidth="0"
                                        widthPercentage="100"
                                        scope="request"
                                        rowHeaderVisible="false"
                                        autoCreateColumnsFromModel="true"
                                        formEnabled="false">
                                    <sas-dv:CellRenderer startRow="1" startColumn="1" repeatRowFactor="1" endColumn="1">
                                        <sas-u:StyleInfo classid="imageTableCell"/>
                                        <sas-dv:CellContentsLabelRenderer encodeText="false" />
                                    </sas-dv:CellRenderer>
                                    <sas-dv:CellRenderer startRow="1" startColumn="2" repeatRowFactor="1" endColumn="2">
                                        <sas-u:StyleInfo classid="textTableCell"/>
                                    </sas-dv:CellRenderer>
                                    <sas-dv:CellRenderer startRow="1" startColumn="3" repeatRowFactor="1" repeatColumnFactor="1">
                                        <sas-u:StyleInfo classid="imageTableCell"/>
                                        <sas-dv:CellContentsLabelRenderer encodeText="false" />
                                    </sas-dv:CellRenderer>
                                    <sas-dv:Columns>
                                        <sas-dv:ColumnHeaderRenderer customAttributes="nowrap">
                                            <sas-u:StyleInfo classid="centeredTableHeader"/>
                                        </sas-dv:ColumnHeaderRenderer>
                                        <sas-dv:Column modelIndex="0">
                                            <sas-dv:ColumnHeaderRenderer>
                                                <sas-u:StyleInfo classid="centeredTableHeader" />
                                                <sas-dv:CellContentsSimpleTemplateRenderer>
                                                    <sas-ui:ThemeImage name="grayperson" />
                                                </sas-dv:CellContentsSimpleTemplateRenderer>
                                            </sas-dv:ColumnHeaderRenderer>
                                        </sas-dv:Column>
                                        <sas-dv:Column modelIndex="1">
                                            <sas-dv:ColumnHeaderRenderer>
                                                <sas-u:StyleInfo classid="tableHeader" />
                                            </sas-dv:ColumnHeaderRenderer>
                                        </sas-dv:Column>
                                    </sas-dv:Columns>
                                    <sas-dv:Rows>
                                        <sas-dv:Row startRow="1" repeatRowFactor="2"
                                                 styleClassPrefix="dataRow1_"/>
                                        <sas-dv:Row startRow="2" repeatRowFactor="2"
                                                 styleClassPrefix="dataRow2_"/>
                                    </sas-dv:Rows>
                                </sas-dv:TableView>
													</td></tr>
                                                     <tr height="4px"><td><table></table></td></tr>
													<tr><td>
														<% if (hasrole) { %>
														   <input name="adduser" type="button" class="button"  value="&nbsp;<sas-ui:Text key="security.addremove.txt"/>&nbsp;" onClick="doAddUser('<%= spmpid %>');" onmouseover="this.className='button buttonhover'" onmouseout="this.className='button'"/>
														   <% } else { %>
													       <input name="adduser" type="button" class="button"  disabled value="&nbsp;<sas-ui:Text key="security.addremove.txt"/>&nbsp;" onClick="doAddUser('<%= spmpid %>');"/>

														<% } %>
													</td></tr>
											</table>
										</td></tr>
										<tr height="8px"><td><table></table></td></tr>
										</table>
									</td>
								</tr>
						</table>
						</td></tr></table>
					</sas-ui:SectionView>
				</td></tr>
  			</table>
		</td>
		<td width="12px"></td>
	</tr>

	<tr height="24px"><td><table></table></td></tr>

	<tr valign="top">
		<td valign="bottom" colspan="4">
			<sas-ui:ButtonBar actionKey="ProjectPropertyButtons"/>
		</td>
	</tr>
</form>
</table>
</body>

<script language="javascript">
	document.getElementById("name").focus();
	saveSectionViewExpansionState();
	<%if(wizard.getUpdatePermission() == false){%>
		document.getElementById("name").disabled = true;
		document.getElementById("ProjectPropertyApply").disabled = true;
		document.getElementById("ProjectPropertyOK").disabled = true;
		document.getElementById("ProjectLocate").disabled = true;
		document.getElementById("removeLink").disabled = true;
	<%}
	if(wizard.getUpdateOwnerPermission() == false){%>
		document.getElementById("ProjectLocate").disabled = true;
	<%}%>

</script>

<script language="javascript">
<!--

function removeuser(rmuser)
{
   document.getElementById("removeduser").value = rmuser
   saveSectionViewExpansionState();
   document.forms[0].action = "PrepareProjectEditPropertiesDialog.do";
   document.forms[0].submit();
}

function writepermission(auser)
{
    var str = "permission_" + auser + "_Read";
	var str2 = "permission_" + auser + "_Write";
    var writecheck =  document.getElementById(str2);
    var readcheck =  document.getElementById(str);

	if(readcheck )
	{
       if (!readcheck.checked)
          readcheck.checked = true;
	   if(writecheck.checked)
	      readcheck.disabled = true;
	   else
          readcheck.disabled = false;
	}

}

function adminpermission(auser)
{
    var str = "permission_" + auser + "_Read";
	var str2 = "permission_" + auser + "_Write";
	var str3 = "permission_" + auser + "_Delete";
	var str4 = "permission_" + auser + "_Administer";
    var writecheck =  document.getElementById(str2);
    var readcheck =  document.getElementById(str);
	var deletecheck =  document.getElementById(str3);
	var admincheck =  document.getElementById(str4);
	if(readcheck && writecheck && admincheck && deletecheck )
	{
       if (!readcheck.checked)
          readcheck.checked = true;
	    if (!writecheck.checked)
          writecheck.checked = true;
		 if (!deletecheck.checked)
            deletecheck.checked = true;
	  if(admincheck.checked)
		{
	      readcheck.disabled = true;
		   writecheck.disabled = true;
		    deletecheck.disabled = true;
		}
	   else
		{
		    writecheck.disabled = true;
          readcheck.disabled = true;
		   deletecheck.disabled = false;
		}
	}

}

function deletepermission(auser)
{
    var str = "permission_" + auser + "_Read";
	var str2 = "permission_" + auser + "_Write";
	var str3 = "permission_" + auser + "_Delete";
    var writecheck =  document.getElementById(str2);
    var readcheck =  document.getElementById(str);
	var deletecheck =  document.getElementById(str3);
	if(readcheck && writecheck && deletecheck)
	{
       if (!readcheck.checked)
          readcheck.checked = true;
	    if (!writecheck.checked)
          writecheck.checked = true;
	   if(deletecheck.checked)
		{
	      readcheck.disabled = true;
		   writecheck.disabled = true;
		}
	   else
		{
		    writecheck.disabled = false;
          readcheck.disabled = true;
		}
	}

}

function doAddUser(spmguid)
{
	 saveSectionViewExpansionState();
	 spmguid = "SPMProject_" + spmguid;
	 var param1v = document.getElementById("name").value;
	 document.forms[0].action = "PrepareAddUsersAndGroups.do?objectId=" + spmguid + "&param1=" + param1v;
	 document.forms[0].submit();
}

//-->
</script>
